Rendering Symbol level: merge the boundary when the level is the same
Status: Open
Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 14953
Description

Hi, | guess in the rule rendering, using the symbol level, when two feature are touching on a portion each-other and both have the same
value for symbol level, the boundary could be merge disappearing.

In the image | attach to this ticket, there are two feature with the same value in the rulerendering, so both has the same level in the
symbol-level order. | guess the two boundary (1 circled they with a red line) where they are touching each-other should disappeared.

History

#1 - 2012-04-14 04:40 AM - Giuseppe Sucameli
- Category changed from Map Canvas to Symbology

You can do it by creating 2 symbol layers, 1 for the fill without outline (Simple fill with no pen) and the other one for the outline (Simple line). Then enable

the symbol levels and put 0 to the outline renderer order and 1 to the fill renderer order.

The fill will be renderer after (over) the outline, so you have to use a wider (x2) outline because you see just half outline.

Probably doing it without using a 2 times-wide outline needs to rewrite the QGis rendering system, because features are rendered one by one (a feature

doesn't know about the other ones).

#2 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#3 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
